# -*- mode: ruby -*-
# vi: set ft=ruby :

$hostname = "pethealth.com.loc"

Vagrant.configure("2") do |config|
  config.vm.box = "ubuntu/focal64"
  config.vm.network :private_network, ip: "192.168.20.20"
  config.vm.hostname = "www.#$hostname"
  config.hostsupdater.aliases = ["#$hostname"]
  config.vm.boot_timeout = 400

  config.vm.synced_folder "./src", "/var/www/#$hostname", owner: "www-data", group: "vagrant", mount_options: ['dmode=775', 'fmode=775']

  config.vm.provider "virtualbox" do |vb|
     vb.gui = false
     vb.memory = "2048"
     vb.cpus = 4
  end

  config.vm.provision "shell" do |s|
    s.inline = "/bin/sh /vagrant/bootstrap/bootstrap.sh $1"
    s.args   = ["#$hostname"]
  end
end
